[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.LockEditor

Locks the Editor so that it cannot accept input or changes.

## Declaration

Source position: grids.pas line 1150

`protected procedure TCustomGrid.LockEditor;`

## Description

LockEditor increments the value for the internal lock counter used to get the return value for the EditorLocked method. LockEditor is called from the MouseDown method when a mouse click occurs in the cell data for the grid control, and prevents a cell Editor from being displayed until the mouse event is handled. It is also called from the EditorHide method to prevent access to an Editor until the current one is hidden.